package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 客户上级评价(UserSuperEvaluate)实体类
 *
 * @author makejava
 * @since 2024-09-25 15:42:39
 */
public class UserSuperEvaluate implements Serializable {
    private static final long serialVersionUID = 641598732129602417L;

    private Integer id;

    private String uid;
    /**
     * 评价人
     */
    private String aid;
    /**
     * 面谈思路
     */
    private String content;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 类别 0=其他，1=技术，2=营销，3=业务
     */
    private Integer type;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

}

